
CoCoA-5 - Bug #1795

Makefile problem: needlessly relinks CoCoAInterpreter

16 Mar 2024 14:07 - John Abbott

Status: Feedback Start date: 16 Mar 2024

Priority: Normal Due date:  

Assignee: John Abbott % Done: 90%

Category: enhancing/improving Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.70 hour

Description

Assuming that CoCoAInterpreter is already compiled (and up-to-date).

Running make check in directory src/CoCoA-5/ causes CoCoAInterpreter to be relinked.

This is not helpful (but probably also not harmful).

Fix it!

History

#1 - 16 Mar 2024 14:11 - John Abbott

I vaguely recall Anna asking for an improvement to the Makefile structure; I do not really recall why.

I also recall that my attempt to resolve the problem did not work, but maybe I did not properly clean up afterwards?

Anyway, the problem exists (even if it is not so harmful); so it should be rectified.

Maybe the problem was running make CoCoAInterpreter in src/CoCoA-5/  did not notice when a CoCoALib source file had been changed...?

I'm poring over the output of make -n CoCoAInterpreter, and not understanding what purpose lib/timestamp serves...

#2 - 17 Mar 2024 10:59 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 50

I think I have corrected the error.  Must do more checking.

#3 - 18 Mar 2024 20:51 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90
